Kerbal Space Program - Bug #22908

Breaking Ground scanning arms break crew transfer
06/16/2019 08:08 PM - TonkaCrash

Status: Closed Start date: 06/16/2019
Severity: Low % Done: 100%
Assignee:

Category: Bug Tracker

Target version: 1.7.3

Version: 1.7.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

This is a complete rewrite of my original bug as | found more information. It appears that the Scanning Arm collider interferes with
selecting a destination for crew transfers. If the arm is mounted too close to a crewable part that part cannot be selected as a
destination for crew transfers. If the arm is moved far enough away then the part outside of the collider can be selected as a
destination for crew transfers.

This can be a problem when there craft is relatively small relative to the arm's collider sphere. There may be no spot on a part clear
of the collider that can be used to select the part as a destination for crew transfers and there's no indication either through error
messages or on screen that there is a problem.

In the sample craft below transfers from the Hitchhiker to the Lander Can work always. Crew transfers from the Lander Can to the
Hitchhiker only work if | select an spot towards the top of the Hitchiker clear of the arm's collider. | cannot select the Hitchhiker
towards its bottom within the collider of the arm.
History

#1 - 06/16/2019 09:09 PM - TonkaCrash

- Description updated

#2 - 06/17/2019 12:27 AM - Anonymous
- File 22908.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Only mouse-selection for crew-transfer seems to be blocked by the sphere of reach of the arm, no with problem right-clicking, nor with mouse-over
green highlight for those of us who have that turned on.

The collide-o-scope picture is very helpful for understanding what is going on, and how to get around the bug for now. Sometimes zooming way in, so
my viewpoint is inside the sphere of reach of the arm, lets me select the pod.

#4 - 07/16/2019 12:15 AM - chris.fulton
- Status changed from Confirmed to Ready to Test
- Target version set to 1.7.3

- % Done changed from 10 to 80

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.3.25947?

#5 - 07/16/2019 08:36 PM - TonkaCrash

chris.fulton wrote:

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.3.25947?

This appears to be fixed and functions correctly in my game running 1.7.3.2594.
#6 - 10/21/2019 08:40 PM - just_jim
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#8 - 10/21/2019 11:03 PM - chris.fulton

- Status changed from Resolved to Closed

Files
22908.craft 12.1 KB 06/17/2019 Anonymous
